aboutsummaryrefslogtreecommitdiff
path: root/tests/m_image_mmp/script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/m_image_mmp/script')
-rw-r--r--tests/m_image_mmp/script33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/m_image_mmp/script b/tests/m_image_mmp/script
new file mode 100644
index 00000000..43e39044
--- /dev/null
+++ b/tests/m_image_mmp/script
@@ -0,0 +1,33 @@
+# use current directory instead of /tmp becase tmpfs doesn't support DIO
+rm -f $TMPFILE
+TMPFILE=$(mktemp ./tmp-$test_name.XXXXXX)
+
+stat -f $TMPFILE | grep -q "Type: tmpfs"
+if [ $? = 0 ]; then
+ rm -f $TMPFILE
+ echo "$test_name: $test_description: skipped for tmpfs (no O_DIRECT)"
+ return 0
+fi
+
+$MKE2FS -q -F -o Linux -b 4096 -O mmp -E mmp_update_interval=1 $TMPFILE 100 >> $test_name.log 2>&1
+status=$?
+if [ "$status" != 0 ] ; then
+ echo "mke2fs -O mmp failed" > $test_name.failed
+ echo "$test_name: $test_description: failed"
+ return $status
+fi
+
+if test -x $E2IMAGE_EXE; then
+
+ONE_PASS_ONLY=true
+FSCK_OPT="-n -f"
+IMAGE=$TMPFILE
+SKIP_GUNZIP=true
+PREP_CMD="$E2IMAGE_EXE -r $TMPFILE $TMPFILE.raw; \
+ mv $TMPFILE.raw $TMPFILE"
+
+. $cmd_dir/run_e2fsck
+
+else
+ echo "$test_name: $test_description: skipped"
+fi